Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito
Interface BDDMockito.BDDMyOngoingStubbing<T>

All Known Implementing Classes:
  BDDMockito.BDDOngoingStubbingImpl

Enclosing class:
  BDDMockito

    public static interface BDDMockito.BDDMyOngoingStubbing<T>

See original `OngoingStubbing`

Since:
  1.8.0

Method Summary
`
`<M> M`
` | `getMock()` See original `OngoingStubbing.getMock()`
`BDDMockito.BDDMyOngoingStubbing<T>` | `will(Answer<?> answer)` See original `OngoingStubbing.then(Answer)`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willAnswer(Answer<?> answer)` See original `OngoingStubbing.thenAnswer(Answer)`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willCallRealMethod()` See original `OngoingStubbing.thenCallRealMethod()`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willReturn(T value)` See original `OngoingStubbing.thenReturn(Object)`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willReturn(T value, T... values)` See original `OngoingStubbing.thenReturn(Object, Object[])`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willThrow(java.lang.Class<? extends java.lang.Throwable>... throwableClasses)` See original `OngoingStubbing.thenThrow(Class[])`
`BDDMockito.BDDMyOngoingStubbing<T>` | `willThrow(java.lang.Throwable... throwables)` See original `OngoingStubbing.thenThrow(Throwable...)`

Method Detail

### willAnswer

    BDDMockito.BDDMyOngoingStubbing<T> willAnswer(Answer<?> answer)

  See original `OngoingStubbing.thenAnswer(Answer)`

  Since:
    1.8.0

### will

    BDDMockito.BDDMyOngoingStubbing<T> will(Answer<?> answer)

  See original `OngoingStubbing.then(Answer)`

  Since:
    1.9.0

### willReturn

    BDDMockito.BDDMyOngoingStubbing<T> willReturn(T value)

  See original `OngoingStubbing.thenReturn(Object)`

  Since:
    1.8.0

### willReturn

    BDDMockito.BDDMyOngoingStubbing<T> willReturn(T value,
                                                  T... values)

  See original `OngoingStubbing.thenReturn(Object, Object[])`

  Since:
    1.8.0

### willThrow

    BDDMockito.BDDMyOngoingStubbing<T> willThrow(java.lang.Throwable... throwables)

  See original `OngoingStubbing.thenThrow(Throwable...)`

  Since:
    1.8.0

### willThrow

    BDDMockito.BDDMyOngoingStubbing<T> willThrow(java.lang.Class<? extends java.lang.Throwable>... throwableClasses)

  See original `OngoingStubbing.thenThrow(Class[])`

  Since:
    1.9.0

### willCallRealMethod

    BDDMockito.BDDMyOngoingStubbing<T> willCallRealMethod()

  See original `OngoingStubbing.thenCallRealMethod()`

  Since:
    1.9.0

### getMock

    <M> M getMock()

  See original `OngoingStubbing.getMock()`

  Since:
    1.9.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD